slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPGetST

Obtain the spectral transformation (ST) object associated to the eigensolver object.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPGetST(PEP pep,ST *st)

Not Collective

### Input Parameters

| pep | - eigensolver context obtained from PEPCreate()

### Output Parameter

| st | - spectral transformation context

### See Also

PEPSetST()

### Level

intermediate

### Location

src/pep/interface/pepbasic.c

### Examples

src/pep/tutorials/ex28.c
src/pep/tutorials/ex38.c
src/pep/tutorials/ex40.c
src/pep/tutorials/ex50.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages